WordPress.org

Plugin Directory

IMDb Markup Syntax

Add IMDb syntax functionallity in your post. Enter simple tags and this plugin replace with IMBb data direct from IMDb Mobile Applications.

The code in WordPress plugin host is only production releases. Developers releases with unit-test and jenkins build config is hosted on GitHub

2.5

  1. Changes in [imdb:cast], [imdblive:cast]. Replace , to
    . Thanks Aloysius69 for you feedback!
  2. Changes in [imdb:cast_nolink], [imdblive:cast_nolink]. Show stars name without character name. Thanks reborn79 and bluecity for you feedback!
  3. Add support for WordPress 4.2

2.4

  1. Add support for WordPress 4.1

2.3

  1. Add support for php 5.3. Must have php 5.3+.

2.2

  1. New feature: Add support for [imdb:locale(...)] tag. Thanks nexplissken
  2. Better support for WordPress Coding Standards for PHP_CodeSniffer
  3. PHPUnit improvement for PhpStorm 8
  4. Tested and supported for WordPress 4.0
  5. Must have php 5.4+

2.1

  1. New feature: Added support for one-off tags with embedded IDs e.g. imdb-AboutAlex, imdblive-IntotheStorm, imdb-zaq12wsx, ... GitHub issue #8 Thanks to Daniel!
  2. Tested and supported for WordPress 3.9.1

2.0

  1. New feature: Handle mulit tags in same content e.g. imdb-a, imdb-b, ... imdb-z GitHub issue #2
  2. New feature: New tags cast_nolink, directors_nolink, poster_nolink, posterRemote_nolink, title_nolink and writers_nolink with no links to imdb.com. Thanks williamxd3 GitHub issue #4
  3. New feature: New tag year Year of publication of the movie. Thanks gauwain GitHub issue #5
  4. Update feature: Adding support to tags in post title e.g [imdb:id(tt1951264)][imdb:title_nolink] Thanks ray19 GitHub issue #3
  5. Tested and supported for WordPress 3.8

1.2

  1. Tested and supported for WordPress 3.6
  2. Improve error handling

1.1

  1. Delete some options for a cURL transfer - use default instead.
  2. Improve error handling for cURL transfer.
  3. Add support for WordPress 3.5.2.

1.0

First stable release, tested from English WordPress (3.3, 3.3.1, 3.3.2, 3.3.3, 3.4, 3.4.1, 3.4.2, 3.5, 3.5.1), Svenska WordPress 3.5.1, Español WordPress 3.5.1 and ئۇيغۇرچە WordPress 3.5.1. Error messages in English and Swedish is supported.

Easy to contribute and make changes

If you want to be involved in developing this plug along, you are welcome to attend. The code is structured, well commented and have very high test coverage, so it is easy to contribute and make changes. Of course you get a license for PhpStorm 8!

Requires: 3.3 or higher
Compatible up to: 4.2.2
Last Updated: 2015-5-17
Active Installs: 300+

Ratings

4.5 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,1,1
100,1,1